Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.usermodel
Class HSSFPatternFormatting

    java.lang.Object
      org.apache.poi.hssf.usermodel.HSSFPatternFormatting

    public class HSSFPatternFormatting

extends java.lang.Object

High level representation for Conditional Formatting settings

Author:
  Dmitriy Kumshayev

Field Summary
`static short` | `ALT_BARS` Wide dots
`static short` | `BIG_SPOTS` Large spots
`static short` | `BRICKS` Brick-like layout
`static short` | `DIAMONDS` Diamonds
`static short` | `FINE_DOTS` Small fine dots
`static short` | `LEAST_DOTS` Least Dots
`static short` | `LESS_DOTS` Less Dots
`static short` | `NO_FILL` No background
`static short` | `SOLID_FOREGROUND` Solidly filled
`static short` | `SPARSE_DOTS` Sparse dots
`static short` | `SQUARES` Squares
`static short` | `THICK_BACKWARD_DIAG` Thick backward facing diagonals
`static short` | `THICK_FORWARD_DIAG` Thick forward facing diagonals
`static short` | `THICK_HORZ_BANDS` Thick horizontal bands
`static short` | `THICK_VERT_BANDS` Thick vertical bands
`static short` | `THIN_BACKWARD_DIAG` Thin backward diagonal
`static short` | `THIN_FORWARD_DIAG` Thin forward diagonal
`static short` | `THIN_HORZ_BANDS` Thin horizontal bands
`static short` | `THIN_VERT_BANDS` Thin vertical bands

Method Summary
`short` | `getFillBackgroundColor()`
`short` | `getFillForegroundColor()`
`short` | `getFillPattern()`
`void` | `setFillBackgroundColor(short bg)`
`void` | `setFillForegroundColor(short fg)`
`void` | `setFillPattern(short fp)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NO_FILL

    public static final short NO_FILL

  No background

  See Also:
    Constant Field Values

### SOLID_FOREGROUND

    public static final short SOLID_FOREGROUND

  Solidly filled

  See Also:
    Constant Field Values

### FINE_DOTS

    public static final short FINE_DOTS

  Small fine dots

  See Also:
    Constant Field Values

### ALT_BARS

    public static final short ALT_BARS

  Wide dots

  See Also:
    Constant Field Values

### SPARSE_DOTS

    public static final short SPARSE_DOTS

  Sparse dots

  See Also:
    Constant Field Values

### THICK_HORZ_BANDS

    public static final short THICK_HORZ_BANDS

  Thick horizontal bands

  See Also:
    Constant Field Values

### THICK_VERT_BANDS

    public static final short THICK_VERT_BANDS

  Thick vertical bands

  See Also:
    Constant Field Values

### THICK_BACKWARD_DIAG

    public static final short THICK_BACKWARD_DIAG

  Thick backward facing diagonals

  See Also:
    Constant Field Values

### THICK_FORWARD_DIAG

    public static final short THICK_FORWARD_DIAG

  Thick forward facing diagonals

  See Also:
    Constant Field Values

### BIG_SPOTS

    public static final short BIG_SPOTS

  Large spots

  See Also:
    Constant Field Values

### BRICKS

    public static final short BRICKS

  Brick-like layout

  See Also:
    Constant Field Values

### THIN_HORZ_BANDS

    public static final short THIN_HORZ_BANDS

  Thin horizontal bands

  See Also:
    Constant Field Values

### THIN_VERT_BANDS

    public static final short THIN_VERT_BANDS

  Thin vertical bands

  See Also:
    Constant Field Values

### THIN_BACKWARD_DIAG

    public static final short THIN_BACKWARD_DIAG

  Thin backward diagonal

  See Also:
    Constant Field Values

### THIN_FORWARD_DIAG

    public static final short THIN_FORWARD_DIAG

  Thin forward diagonal

  See Also:
    Constant Field Values

### SQUARES

    public static final short SQUARES

  Squares

  See Also:
    Constant Field Values

### DIAMONDS

    public static final short DIAMONDS

  Diamonds

  See Also:
    Constant Field Values

### LESS_DOTS

    public static final short LESS_DOTS

  Less Dots

  See Also:
    Constant Field Values

### LEAST_DOTS

    public static final short LEAST_DOTS

  Least Dots

  See Also:
    Constant Field Values

Method Detail

### getFillBackgroundColor

    public short getFillBackgroundColor()

  See Also:
    `PatternFormatting.getFillBackgroundColor()`

### getFillForegroundColor

    public short getFillForegroundColor()

  See Also:
    `PatternFormatting.getFillForegroundColor()`

### getFillPattern

    public short getFillPattern()

  See Also:
    `PatternFormatting.getFillPattern()`

### setFillBackgroundColor

    public void setFillBackgroundColor(short bg)

  Parameters:
    `bg` -
  See Also:
    `PatternFormatting.setFillBackgroundColor(int)`

### setFillForegroundColor

    public void setFillForegroundColor(short fg)

  Parameters:
    `fg` -
  See Also:
    `PatternFormatting.setFillForegroundColor(int)`

### setFillPattern

    public void setFillPattern(short fp)

  Parameters:
    `fp` -
  See Also:
    `PatternFormatting.setFillPattern(int)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD